﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AMDev.BNET.ClientAPI.WoW
{
    public class GetCharacterDataEventArgs
        : CommunityAPIClientEventArgs
    {
        #region Properties

        public WoWCharacter Character
        {
            get;
            protected set;
        }


        #endregion

        #region .ctor

        internal GetCharacterDataEventArgs(WoWCharacter character)
            : this(character, null)
        {

        }

        internal GetCharacterDataEventArgs(WoWCharacter character, String restResponse)
            : base(restResponse)
        {
            this.Character = character;
        }

        internal GetCharacterDataEventArgs(bool cancelled, bool error, Exception exc)
            : base(cancelled, error, exc)
        {
        }

        #endregion
    }
}
