﻿
using System.Runtime.Serialization;
namespace AMDev.BNET.ClientAPI.WoW
{
    /// <summary>
    /// Races supported by the APIs
    /// </summary>
    /// <remarks>
    /// Races can be enumerated using REST call: Host + "/api/wow/data/character/races"
    /// </remarks>
    [DataContract]
    public enum WoWRaces
        : int
    {
        [EnumMember]
        Human = 1,
        [EnumMember]
        Orc = 2,
        [EnumMember]
        Dwarf = 3,
        [EnumMember]
        NightElf = 4,
        [EnumMember]
        Undead = 5,
        [EnumMember]
        Tauren = 6,
        [EnumMember]
        Gnome = 7,
        [EnumMember]
        Troll = 8,
        [EnumMember]
        Goblin = 9,
        [EnumMember]
        BloodElf = 10,
        [EnumMember]
        Draenei = 11,
        [EnumMember]
        Worgen = 22,
        [EnumMember]
        PandarenNeutral = 24,
        [EnumMember]
        PandarenAlliance = 25,
        [EnumMember]
        PandarenHorde = 26
    }
}
