﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;

namespace AMDev.BNET.ClientAPI.WoW
{
    [DataContract]
    public sealed class WoWItem
        : ClientObservableObject
    {
        #region Fields

        private String icon;
        private String name;
        private int id;
        private int quality;

        #endregion

        #region Properties

        [DataMember(Name="icon")]
        public String Icon
        {
            get
            {
                return this.icon;
            }
            set
            {
                this.SetProperty(ref this.icon, value);
            }
        }

        [DataMember(Name="name")]
        public String Name
        {
            get
            {
                return this.name;
            }
            set
            {
                this.SetProperty(ref this.name, value);
            }
        }

        [DataMember(Name="id")]
        public int ID
        {
            get
            {
                return this.id;
            }
            set
            {
                this.SetProperty(ref this.id, value);
            }
        }

        #endregion 
    }
}
