﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;

namespace AMDev.BNET.ClientAPI.WoW
{
    /// <summary>
    /// Wrapper class around the JSON response of Realm Status API. This class is needed as an array is used inside the response to the request.
    /// </summary>
    [DataContract()]
    public class WoWRealmStatusResponse
    {
        [DataMember(Name = "realms")]
        public WoWRealmsCollection Realms
        {
            get;
            set;
        }
    }
}
